;----------------------------------------------------------------------
;
;  Printer driver configuration file for generating Windows Meta Files
;  in supported Windows operating systems.
;
;  Current Revision:
;  $RCSfile: wmf.plt,v $
;  $Revision: 7.7 $  $Date: 2002/03/18 15:36:52 $
;
;----------------------------------------------------------------------

;======================================================================
;
;   >>>>> WARNING  WARNING  WARNING  WARNING  WARNING  WARNING  <<<<<
;  
;  Plotter driver configuration files are now stored in two directories:
;
;    $(_USTN_WORKSPACEROOT)/System/plotdrv/
;    $(_USTN_WORKSPACEROOT)/Standards/plotdrv/
;
;  System/plotdrv/ should be reserved for .plt files delivered by
;  MicroStation and other Bentley products. Standards/plotdrv/ is
;  provided as a place for you to store customized .plt files. To
;  simplify plotter selection from the Plot dialog, you may also
;  elect to store frequently-used .plt files in Standards/plotdrv/
;  even if you do not customize them.
;
;  To minimize the risk of losing your changes during a product
;  reinstallation, do not edit the files in the System/plotdrv/
;  directory. Instead, copy the necessary files to Standards/plotdrv/
;  and edit them there. If the .plt file depends on other files, such
;  as PostScript prolog (*.pro) files, copy them to the same directory.
;
;======================================================================

;   You may produce non-halftoned monochrome output on a color
;   device by setting "num_pens=1".
;
;   When thin vector elements with highly saturated colors are half-toned,
;   they can be extraordinarily difficult to see.  You may wish to
;   assign such element colors to a specific pen.  That pen can in turn
;   be assigned an RGB value of your choice.
;
;   For example, to change element color 5 from a hard to see, highly
;   saturated white to an easier to see gray you could use the following
;   line:
;	    	pen(6)=(5)/rgb=(230, 230, 230)    ; gray
;
num_pens   = 255                            ; required record
model      = sysprnwmf
default_extension = 'wmf'  	; default extension for plotfiles

stroke_tolerance=10                         ; unitless num 0 < tol < 10

rotate = none		        ; enable/disable automatic rotation to maximize
			        ; plots: cw = rotate clockwise, ccw = rotate
			        ; counter-clockwise, none = disable
autocenter

;  The style records defines how the design file line codes (styles)
;  are to be plotted.  Values are in plotter units (resolutions).
;  Values determine pen down/up movements, where (14,42) for a dot
;  pattern leaves the pen down for 14 units and up for 42 units.  The
;  /nohardware switch causes software stroking with these values.
; Units are MM, IN, or DOTS (the default)
style(1) = ( 0.35, 1.05)			    /hardware/units=MM ; style = dot
style(2) = ( 1.75, 1.05)			    /hardware/units=MM ; style = med dash
style(3) = ( 4.20, 1.40)			    /hardware/units=MM ; style = long dash
style(4) = ( 2.80, 1.05, 0.70, 1.05)		    /hardware/units=MM ; style = dot-dash
style(5) = ( 1.40, 1.40)			    /hardware/units=MM ; style = short dash
style(6) = ( 2.10, 0.70, 0.70, 0.70, 0.70, 0.70)    /hardware/units=MM ; style = dash-dot-dot
style(7) = ( 2.80, 0.70, 1.40, 0.70)		    /hardware/units=MM ; style = long dash - short dash

;
; linecap, linejoin and miter_limit
;
linecap	    = 1			; 1=butt, 2=square, 4=round
linejoin    = 5			; 2=miter/bevel, 4=round, 5=beveled
miter_limit = 1.415	    	; Larger values allow longer spikes w/linejoin=2

; Specify the mapping of MicroStation line weights to line thickness on paper.
; Units are MM, IN, or DOTS (the default)
weight_strokes(mm)=(0.25, 0.50, 0.75, 1.00, 1.25, 1.50, 1.75, 2.00, \
		    2.25, 2.50, 2.75, 3.00, 3.25, 3.50, 3.75, 4.00, \
		    4.25, 4.50, 4.75, 5.00, 5.25, 5.50, 5.75, 6.00, \
		    6.25, 6.50, 6.75, 7.00, 7.25, 7.50, 7.75, 8.00)

; Remove this if no border is desired
; available qualifiers 
;       /pen=n              specifies pen to use to draw border
;			    * Omit this switch to use the default *
;border 

; Remove this if no fence outline is desired
; available qualifiers 
;       /pen=n              specifies pen to use to draw border
;			    * Omit this switch to use the default *
fence_outline

resolution(IN)=(0.0,0.0)         ; specifies Resolution on Mac and Units on
                                 ; Mac and OS/2

; Substitute the name of a pentable file to be loaded when this driver is selected
;pentable=\dir\file.tbl

