;----------------------------------------------------------------------
;
;  System printer configuration file
;  Use on Windows to print to system printer
;
;  Current Revision:
;  $RCSfile: printer.plt,v $
;  $Revision: 7.37 $  $Date: 2002/07/16 19:42:57 $
;
;----------------------------------------------------------------------

;======================================================================
;
;   >>>>> WARNING  WARNING  WARNING  WARNING  WARNING  WARNING  <<<<<
;
;  Plotter driver configuration files are now stored in two directories:
;
;    $(_USTN_WORKSPACEROOT)/System/plotdrv/
;    $(_USTN_WORKSPACEROOT)/Standards/plotdrv/
;
;  System/plotdrv/ should be reserved for .plt files delivered by
;  MicroStation and other Bentley products. Standards/plotdrv/ is
;  provided as a place for you to store customized .plt files. To
;  simplify plotter selection from the Plot dialog, you may also
;  elect to store frequently-used .plt files in Standards/plotdrv/
;  even if you do not customize them.
;
;  To minimize the risk of losing your changes during a product
;  reinstallation, do not edit the files in the System/plotdrv/
;  directory. Instead, copy the necessary files to Standards/plotdrv/
;  and edit them there. If the .plt file depends on other files, such
;  as PostScript prolog (*.pro) files, copy them to the same directory.
;
;======================================================================

;   You may produce non-halftoned monochrome output on a color
device by setting "num_pens=255".
;
;   When thin vector elements with highly saturated colors are half-toned,
;   they can be extraordinarily difficult to see.  You may wish to
;   assign such element colors to a specific pen.  That pen can in turn
;   be assigned an RGB value of your choice.
;
;   For example, to change element color 5 from a hard to see, highly
;   saturated white to an easier to see gray you could use the following
;   line:
;           pen(6)=(5)/rgb=(230, 230, 230)  ; gray
;
num_pens   = 255                              ; required record
model      = sysprinter

stroke_tolerance=10                         ; unitless num 0 < tol < 10

rotate=none
autocenter

;  The style records defines how the design file line codes (styles)
;  are to be plotted.  By default, values are in plotter units (resolutions).
;  Values determine pen down/up movements, where (14,42) for a dot
;  pattern leaves the pen down for 14 units and up for 42 units.  The
;  /nohardware switch causes software stroking with these values.
;  Valid units are MM, IN, or DOTS (the default)
;
;  If you are using Windows 98/ME you will want to change 'hardware' to
;  'nohardware' in the linestyle definitions below. Otherwise it will result
;  in the inability to plot lines that have both weight and style.  This is
;  due to a limitation in the Graphics Device Interface of Windows 98/ME.
;  Note that making this change will result in larger printer output
;  from MicroStation.
;
style(1) = ( 0.35, 1.05)                            /hardware /units=MM ; style = dot
style(2) = ( 1.75, 1.05)                            /hardware /units=MM ; style = med dash
style(3) = ( 4.20, 1.40)                            /hardware /units=MM ; style = long dash
style(4) = ( 2.80, 1.05, 0.70, 1.05)                /hardware /units=MM ; style = dot-dash
style(5) = ( 1.40, 1.40)                            /hardware /units=MM ; style = short dash
style(6) = ( 2.10, 0.70, 0.70, 0.70, 0.70, 0.70)    /hardware /units=MM ; style = dash-dot-dot
style(7) = ( 2.80, 0.70, 1.40, 0.70)                /hardware /units=MM ; style = long dash - short dash

; linecap, linejoin and miter_limit
; Note: these settings do not have an effect in Win95/3.x
;       due to a limitation in the Graphics Device Interface
;
linecap     = 4         ; 1=butt, 2=square, 4=round
linejoin    = 5         ; 2=miter/bevel, 4=round, 5=beveled
miter_limit = 1.415     ; Larger values allow longer spikes w/linejoin=2

; Specify the mapping of MicroStation line weights to line thickness on paper.
; Units are MM, IN, or DOTS (the default)
weight_strokes(mm)=(0.125, 0.250, 0.375, 0.500, 0.625, 0.750, 0.875, 1.000, 1.125, \
                    1.250, 1.375, 1.500, 1.625, 1.750, 1.875, 2.000, 2.125, \
                    2.250, 2.375, 2.500, 2.625, 2.750, 2.875, 3.000, 3.125, \
                    3.250, 3.375, 3.500, 3.625, 3.750, 3.875, 4.000, 4.125)

; Remove this if no border is desired
; available qualifiers
;       /pen=n              specifies pen to use to draw border
;                           * Omit this switch to use the default *
;       /time               adds time and date to border
;       /filename           adds name of design file to border
;       /text_height=n      units are cm
;       /width=n            units are cm
;       /font="fontname"    e.g. "Arial"
;                           font names can be found by looking at
;                           Start => Settings => ControlPanel => Fonts.
;                           Note: a truetype font, like Arial, will scale
;                           better than a bitmap font like MS Sans Serif
; border /time /filename /text_height=0.20

; Remove this if no fence outline is desired
; available qualifiers
;       /pen=n              specifies pen to use to draw border
;                           * Omit this switch to use the default *
fence_outline

; Substitute the name of a pentable file to be loaded when this driver is selected
; pentable=$(USTATION_V8_iP_DATA)workspace\system\plotdrv\STEMPEL.TBL

; *** For Windows Platform Only ***
; Modify the following line to designate a specific system printer, form, orientation,
; tray and offset.  These options can be used alone or in combination.
;
; format is:
;               sysprinter  /name="printer-name"
;                           /form=f
;                           /orientation=o
;                           /offset=(h,v)
;                           /tray=t
;                           /fullsheet
;
;   /name
;           Printers can be accessed locally or over a network. In either case, the printer
;           must have been installed on the machine MicroStation is running on, using
;           "Add Printer" in the Printers folder (Start => Settings => Printers folder).
;
;           Notes on specifying the printer name: To obtain a valid printer name, first open
;           the Start => Settings => Printers folder. Next to the icon for each printer is
;           the printer name.
;
;           The name will take one of two forms:
;               1) A local printer name like "HP LaserJet 4M Plus"
;                  In this case, the printer name used, in the sysprinter line below, is just
;                  the local name exactly as seen in the Printers folder.
;                       e.g. /name="HP LaserJet 4M Plus".
;
;               2) A printer name like "DesignJet_1055 on PrintServer" which specifies a network
;                  computer and a printer share name.  In this case 2, the printer name used,
;                  in the sysprinter line below, is specified as a UNC name.
;                       e.g. /name="\\PrintServer\DesignJet_1055"
;
;           If the printer is shared on the network by the machine MicroStation is running on,
;           then the printer name shown (in the Printers folder) will be a type 1 (local) name.
;           In this case, you may specify either format. The computer name needed for the type 2
;           format can be found by looking at Start => Settings => ControlPanel => Network.
;
;           If the printer name contains spaces or '/', it should be enclosed in "" or ''.
;           e.g. /name="HP LaserJet 4 Plus"
;
;           The /name qualifier is optional.  If omitted, the Windows default printer will be used.
;
;   /form
;           This value can be any valid form name for that printer, e.g. letter, legal, etc.
;           Each printer manufacturer may provide a list of form names which are valid for
;           their particular printer. The easiest way to determine valid form names is to open
;           the Print Setup dialog from MicroStation (or other application) pick the appropriate
;           printer/plotter and look in the Paper Size list box to see the valid names.
;
;           Note: Some manufacturers have used form names which contain characters outside
;           the normal ASCII printable range. Example: for a form name like 8 1/2 x 11,
;           instead of specifying 3 characters 1, /, and 2, they have put in the code for a
;           special one-half symbol which only takes up one character position.
;           To handle this case, the user can enter "ANSI 8?x11" and MicroStation will match
;           the actual name.
;
;           If the form name contains spaces or '/', it should be enclosed in "" or ''.
;           If the form name contains " (double quote) to indicate inches, the single quote
;           pair should be used,  e.g. /form='letter 8 1/2" x 11"'
;
;           The /form qualifier is optional.  If omitted, the Windows default setting for the
;           named printer will be used.
;
;   /orientation
;           This value is either portrait or landscape.  The /orientation qualifier is optional.
;           If omitted, the Windows default setting for the named printer will be used.
;
;   /offset
;           leave horizontal and vertical space for the border text - a setting of (0.00, 0.25)
;           will leave a 1/4 inch space at the bottom of the plot so border text may be drawn;
;           Units are inches if your measurement systems is set to US. Units are MM if your
;           measurement systems is set to Metric. Measurement setting can be found by looking at
;           Start => Settings => ControlPanel => Regional Settings. The /units switch will force
;           the units to a particular setting.
;           The /offset qualifier is optional.  If omitted, no space will be left.
;
;   /units
;           Sets the units for the values specified by the /offset switch.
;           Legal values are: "in" or "mm".  Example: /units=mm
;           The /offset qualifier is optional.  If omitted, the default will be as described
;           under /offset
;
;   /tray
;           This value can be any valid tray name for that printer, e.g. Tray1, "Manual Feeder", etc.
;           Each printer manufacturer may have a different a list of tray names which
;           are valid for their particular printer.
;
;           The easiest way to determine valid tray names is to open the Print Setup dialog
;           from MicroStation (or other application) pick the appropriate printer/plotter
;           and look in the Paper Size list box to see the valid names.
;
;           Note: Some manufacturers have used tray names which contain characters outside
;           the normal ASCII printable range. To handle this case, the user can enter a "?"
;           in place of any character and MicroStation will match the actual name.
;
;           If the tray name contains spaces or '/', it should be enclosed in "" or ''.
;           If the tray name contains " (double quote) as part of the name, the single quote
;           pair should be used.
;
;           The /tray qualifier is optional.  If omitted, the Windows default setting for the
;           named printer will be used.
;
;   /fullsheet
;           By default, when the printing system determines the useable part of a sheet of paper,
;           it only considers the printable portion.  For example: when printing to a letter size
;           sheet of paper (nominally 8.5 x 11 inches), the printable portion may only be 8 x 10.5.
;           By adding this switch, the useable part of the paper will be the full sheet.
;           This does have some limitations:
;               1. Offsets (set by the /offset switch) are ignored.
;               2. Borders are not printed.
;               3. Some geometry may get clipped (by the printer) if it falls into the
;                  unprintable area around the edges of the paper.
;           This switch is more useful for sheet printers than printers with roll media.
;
; sysprinter /offset=(0,0) /units=mm

; This keyword controls the size (diameter) of points. Units are cm.
; A value of 0, disables point drawing.
; Note that with some system printer drivers, setting this value
; too small, may result in no point being drawn.
point_size = 0.03

; FONT("fontName")=(fontNumbers) </Sizeratio=R>
;     fontName    is the name of the installed Windows font to use,
;     fontNumbers is the font number or numbers inside MicroStation to map to this font,
;     R           is a ratio that can be set to adjust how large the font is printed
;                 (where 1 is the default size).
; Examples:
;     These lines can be used to map fonts 1, 2, 44-52, 54-66, and 68-126 in MicroStation
;     to the Helvetica font, and map fonts 53 and 67 in MicroStation to the Courier font.
;     FONT("Helvetica")=(1,2,44-126)
;     FONT("Courier")=(53,67) /Sizeratio=1.2
;   This is a special record to set all True-Type Fonts to be printed as text strings
;   and set the size ratio for them
;     FONT("USE GDI FOR TRUE TYPE FONTS") /Sizeratio=1.0

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; The following options control plotting of raster images
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; HARDWARE_RASTER (or SOFTWARE_RASTER) is used to plot raster element types 87 and 88.
; If HARDWARE_RASTER/RESOLUTION=0 below, type 87/88 raster elements are not plotted.
; Values for resolution can be as high as your plotter's resolution.  Lower values produce
; grainier images.

; Note: Most color devices must perform dithering to generate all the required
; colors when there are only 3 or 4 inks available. So setting raster resolution,
; to a value greater than 1/2 (or even 1/4) of the plotter's resolution, may
; not improve image quality and may increase the time required for plotting.

; If this line is omitted, or the resolution specified is not a legal value, a value of
; 1/2 of the plotter's resolution will be used.

; These parameters are also used by Raster Reference plotting.  For raster references, the
; plot resolution is the minimum of the image resolution and the resolution parameter
; specified below.
;
; Raster Manager and and Image Manager use other parameters to control the plot resolution,
; but use the resolution parameter below as a starting point.

; hardware_raster/resolution=150

; The following parameter controls the plot driver used by Image Manager, Descartes and
; Reprographics.  It is ignored by Raster Manager.  It must preceed the parameters below it.

MDLCOMMAND          = implot        ; For Image Manager (not needed by Raster Manager)
;MDLCOMMAND         = dcplot        ; For Descartes
;MDLCOMMAND         = replot        ; For ReproGraphics

; Raster Manager uses PIXEL_RESOLUTION to override HARDWARE_RASTER/RESOLUTION (above)
; Image Manager uses the smaller of the resolution values specified by PIXEL_RESOLUTION
; and HARDWARE_RASTER/RESOLUTION.

PIXEL_RESOLUTION    = 150           ; Resolution of pixels on output (dpi) Normal=150
GRAYSCALE           = 0             ; Plot in gray scale,  1=On 0=Off      Default=0

; The following parameter can be used to specify the background color of monochrome raster
; in Raster Manager.  It is ignored by Image Manager.
; For BACKGROUND=0 or 1 (white or black), the raster foreground is inverted
; if it is identical to the background.
; For BACKGROUND=2 (color), no changes is made to the monochrome raster.

BACKGROUND          = 0             ; 0=white,1=black,2=color              Default=0

; The following parameters are used by both Image Manager and Raster Manager

CONTRAST            = 50            ; Contrast in percent, between 0-100   Default=50
BRIGHTNESS          = 50            ; Brightness in percent, between 0-100 Default=50
NO_RASTERREF        = 0             ; Plots the raster image,  1=Don't plot 0=Plot Default=0

; The following parameters are used by Image Manager, but ignored by Raster Manager

ISV_RASTER          = 1             ; Plots the raster image,  1=On 0=Off  Default=1
RASTER_FENCE        = 0             ; Clip the raster to fence, 1=On 0=Off Default=0
NO_DGNRASTER        = 0             ; MS plot of 87/88, 1=Don't plot 0=Plot Default=0
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


