; 	 Plotter config file - For Kyocera printers

;       $Logfile:   I:/mgds/plot/pltcfg/hpljet4.plv  $
;       $Workfile:   hpljet4.plt  $
;       $Revision:   1.2  $

                      

;  SETUP TIPS
;  Printer should have at least 2MB memory.  Printer's setting for
;  "pageprotect" should be set to LGL.

num_pens   = 255              ; Defines pens used
change_pen = color            ; options are color, weight, level or both
model  = sysprinter	      ; For LaserJet 3/4 
; model      = HPLJET3		; LaserJet III (HPGL2)
; driver     = hpgl2            ; MDL driver to use

autocenter                    ; Automatically center plot on page
end_plot=eject                ; Advance page at end of plot
rotate = cw
default_extension = '000'
; border/pen=1/filename/time  ; leave this out for no border
communication=(handshake=0,baud=9600,par=none,data=8,stop=1)
; default_outFile/auto_overwrite = "lpt1"

; Remove this if no fence outline is desired
; fence_outline/pen=1

; METRIC resolution and SIZE records
size=(420,297)/num=0/off=(7,7)/name=A3
size=(287,200)/num=4/off=(0,7)/name=<A4



; weight_stroke=(4,6,12,18,28,38,58,74)                                  
; weight_stroke=(3,4,6,8,12,16.5,23.5,33)   
weight_strokes(mm)=(0.02,0.04,0.06,0.08,0.10,0.15,0.20,0.30,0.50,0.70,1.00,1.40)                                     
                                                     

; Stroke_tolerance determines tolerance for arcs and circles.  Value is
; between 0 and 10 with 10 being the greater tolerance.  Larger values
; also create larger plot files.
stroke_tolerance=4.5 

;  The style records define how the design file line codes (styles)
;  are to be plotted.  Values are in plotter units (resolutions).
;  Values determine pen down/up movements, where (10,28) for a dot
;  pattern leaves the pen down for 10 units and up for 28 units.  The
;  /nohardware switch causes software stroking with these values.

style(1) = (3,10 )/nohardware                ; style = dot
style(2) = (15,8 )/nohardware               ; style = med dash
style(3) = (20,12  )/nohardware              ; style = long dash
style(4) = (15,8,1,8  )/nohardware         ; style = dot-dash
style(5) = (20,12)/nohardware                ; style = short dash
style(6) = (15,8,1,8,1,8  )/nohardware    ; style = dash-dot-dot
style(7) = (15,8,15,8,1,8  )/nohardware   ; style = dot-dash-dash        


; The pen_width record determines how far the pen moves when drawing
; thick lines (weights) or when used to fill elements.  Values are 
; between 0 and 15 with 15 moving the greater distance.
; for dense filling
pen_width(1)=2
pen_width(2)=2
pen_width(3)=2
pen_width(4)=2
pen_width(5)=2
pen_width(6)=2
pen_width(7)=2
pen_width(8)=2
pen_width(9)=2
pen_width(10)=2
pen_width(11)=2
pen_width(12)=2
pen_width(13)=2
pen_width(14)=2
pen_width(15)=2
pen_width(16)=2
pen_width(17)=2
pen_width(18)=2
pen_width(19)=2
pen_width(20)=2
pen_width(21)=2
pen_width(22)=2
pen_width(23)=2
pen_width(24)=2
pen_width(25)=2
pen_width(26)=2
pen_width(27)=2
pen_width(28)=2
pen_width(29)=2
pen_width(30)=2
pen_width(31)=2
pen_width(32)=2
pen_width(33)=2
pen_width(34)=2
pen_width(35)=2
pen_width(36)=2
pen_width(37)=2
pen_width(38)=2
pen_width(39)=2
pen_width(40)=2
pen_width(41)=2
pen_width(42)=2
pen_width(43)=2
pen_width(44)=2
pen_width(45)=2
pen_width(46)=2
pen_width(47)=2
pen_width(48)=2
pen_width(49)=2
pen_width(50)=2
pen_width(51)=2
pen_width(52)=2
pen_width(53)=2
pen_width(54)=2
pen_width(55)=2
pen_width(56)=2
pen_width(57)=2
pen_width(58)=2
pen_width(59)=2
pen_width(60)=2
pen_width(61)=2
pen_width(62)=2
pen_width(63)=2
pen_width(64)=2
pen_width(65)=2
pen_width(66)=2
pen_width(67)=2
pen_width(68)=2
pen_width(69)=2
pen_width(70)=2
pen_width(71)=2
pen_width(72)=2
pen_width(73)=2
pen_width(74)=2
pen_width(75)=2
pen_width(76)=2
pen_width(77)=2
pen_width(78)=2
pen_width(79)=2
pen_width(80)=2
pen_width(81)=2
pen_width(82)=2
pen_width(83)=2
pen_width(84)=2
pen_width(85)=2
pen_width(86)=2
pen_width(87)=2
pen_width(88)=2
pen_width(89)=2
pen_width(90)=2
pen_width(91)=2
pen_width(92)=2
pen_width(93)=2
pen_width(94)=2
pen_width(95)=2
pen_width(96)=2
pen_width(97)=2
pen_width(98)=2
pen_width(99)=2
pen_width(100)=2
pen_width(101)=2
pen_width(102)=2
pen_width(103)=2
pen_width(104)=2
pen_width(105)=2
pen_width(106)=2
pen_width(107)=2
pen_width(108)=2
pen_width(109)=2
pen_width(110)=2
pen_width(111)=2
pen_width(112)=2
pen_width(113)=2
pen_width(114)=2
pen_width(115)=2
pen_width(116)=2
pen_width(117)=2
pen_width(118)=2
pen_width(119)=2
pen_width(120)=2
pen_width(121)=2
pen_width(122)=2
pen_width(123)=2
pen_width(124)=2
pen_width(125)=2
pen_width(126)=2
pen_width(127)=2
pen_width(128)=2
pen_width(129)=2
pen_width(130)=2
pen_width(131)=2
pen_width(132)=2
pen_width(133)=2
pen_width(134)=2
pen_width(135)=2
pen_width(136)=2
pen_width(137)=2
pen_width(138)=2
pen_width(139)=2
pen_width(140)=2
pen_width(141)=2
pen_width(142)=2
pen_width(143)=2
pen_width(144)=2
pen_width(145)=2
pen_width(146)=2
pen_width(147)=2
pen_width(148)=2
pen_width(149)=2
pen_width(150)=2
pen_width(151)=2
pen_width(152)=2
pen_width(153)=2
pen_width(154)=2
pen_width(155)=2
pen_width(156)=2
pen_width(157)=2
pen_width(158)=2
pen_width(159)=2
pen_width(160)=2
pen_width(161)=2
pen_width(162)=2
pen_width(163)=2
pen_width(164)=2
pen_width(165)=2
pen_width(166)=2
pen_width(167)=2
pen_width(168)=2
pen_width(169)=2
pen_width(170)=2
pen_width(171)=2
pen_width(172)=2
pen_width(173)=2
pen_width(174)=2
pen_width(175)=2
pen_width(176)=2
pen_width(177)=2
pen_width(178)=2
pen_width(179)=2
pen_width(180)=2
pen_width(181)=2
pen_width(182)=2
pen_width(183)=2
pen_width(184)=2
pen_width(185)=2
pen_width(186)=2
pen_width(187)=2
pen_width(188)=2
pen_width(189)=2
pen_width(190)=2
pen_width(191)=2
pen_width(192)=2
pen_width(193)=2
pen_width(194)=2
pen_width(195)=2
pen_width(196)=2
pen_width(197)=2
pen_width(198)=2
pen_width(199)=2
pen_width(200)=2
pen_width(201)=2
pen_width(202)=2
pen_width(203)=2
pen_width(204)=2
pen_width(205)=2
pen_width(206)=2
pen_width(207)=2
pen_width(208)=2
pen_width(209)=2
pen_width(210)=2
pen_width(211)=2
pen_width(212)=2
pen_width(213)=2
pen_width(214)=2
pen_width(215)=2
pen_width(216)=2
pen_width(217)=2
pen_width(218)=2
pen_width(219)=2
pen_width(220)=2
pen_width(221)=2
pen_width(222)=2
pen_width(223)=2
pen_width(224)=2
pen_width(225)=2
pen_width(226)=2
pen_width(227)=2
pen_width(228)=2
pen_width(229)=2
pen_width(230)=2
pen_width(231)=2
pen_width(232)=2
pen_width(233)=2
pen_width(234)=2
pen_width(235)=2
pen_width(236)=2
pen_width(237)=2
pen_width(238)=2
pen_width(239)=2
pen_width(240)=2
pen_width(241)=2
pen_width(242)=2
pen_width(243)=2
pen_width(244)=2
pen_width(245)=2
pen_width(246)=2
pen_width(247)=2
pen_width(248)=2
pen_width(249)=2
pen_width(250)=2
pen_width(251)=2
pen_width(252)=2
pen_width(253)=2
pen_width(254)=2
pen_width(255)=2


; linecap, linejoin and miter_limit values may differ between plotters.
; Check your plotter manual for their definition.

linecap     = 4          ; 1=butt, 2=square, 3=triangle, 4=round
linejoin    = 4          ; 1=mitered, 4=round, 5=beveled 
miter_limit = 1.5        ; larger values mean longer spikes

; Construction/active points are not plotted by default. Uncomment the
; next line if you want points plotted. Points are plotted 0.1 cm dia.
; point_size = .1

; software_raster allows for plotting of type 87/88 raster elements. Value
; for resolution can be as high as your plotter's resolution.  Lower values
; will produce grainier images.  Remove comment to plot raster image.
; software_raster/res=300 

; largest_polygon is used only for element filling.  The value defines 
; the point at which software filling takes over in place of hardware 
; filling.  The value relates to number of vertices used to draw the                  
; element.  
largest_polygon=2048 
 
